Loading...
Searching...
No Matches
Halide::Internal::IRMatcher::OptionalIntrinType< Call::saturating_cast > Struct Reference

`#include <IRMatch.h>`

## Public Member Functions

bool | check (const Type &t) const

## Public Attributes

halide_type_t | type

## Detailed Description

Definition at line 1331 of file IRMatch.h.

## Member Function Documentation

## check()

bool Halide::Internal::IRMatcher::OptionalIntrinType< Call::saturating_cast >::check | ( | const Type & | t | ) | const

inline

Definition at line 1333 of file IRMatch.h.

References Halide::Internal::Type, and type.

## Member Data Documentation

## type

halide_type_t Halide::Internal::IRMatcher::OptionalIntrinType< Call::saturating_cast >::type

Definition at line 1332 of file IRMatch.h.

Referenced by check().

The documentation for this struct was generated from the following file:

- src/IRMatch.h